Download it now!
Bug 75808 - TemplateManager: Search lacks fuzzy matching
Summary: TemplateManager: Search lacks fuzzy matching
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: Other All
: low enhancement
Assignee: Akshay Deep
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: Template-Manager
  Show dependency treegraph
 
Reported: 2014-03-05 17:03 UTC by a07cd040897db54e103c
Modified: 2016-08-11 12:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
A screenshot of the template manager. (12.06 KB, image/png)
2014-03-05 17:04 UTC, a07cd040897db54e103c
Details

Note You need to log in before you can comment on or make changes to this bug.
Description a07cd040897db54e103c 2014-03-05 17:03:59 UTC
The search function in the template manager (see screenshot) does only find *filenames* that *start* with exactly the search term.

First, it would be nice, if a template would also be found, if the search term occurs *inside* the filename and not only at the beginning.

Second, it would be very comfortable, if the search term would not only be searched for in *filenames* but also in document properties (metadata).
Comment 1 a07cd040897db54e103c 2014-03-05 17:04:40 UTC
Created attachment 95177 [details]
A screenshot of the template manager.
Comment 2 Akshay Deep 2016-05-25 11:03:30 UTC
Resolved here

https://gerrit.libreoffice.org/#/c/25249/
Comment 3 a07cd040897db54e103c 2016-08-10 15:20:27 UTC
just retried with

Version: 5.1.4.2 (x64)
Build-ID: f99d75f39f1c57ebdd7ffc5f42867c12031db97a
CPU-Threads: 2; BS-Version: Windows 6.1; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE)

and the bug still (or again) exists as described above - so REOPENED.
Comment 4 Yousuf Philips (jay) (retired) 2016-08-10 16:18:11 UTC
This has been fixed in the new template manager introduced in 5.2, which wont be there in 5.1.